Subject: Re: [linux-fbdev] Re: readl() and friends and eieio on PPC

From: Paul Mackerras <[email-masked]>
Date: Thu, 12 Aug 1999 10:13:28 +1000

Richard Henderson <[email-masked]> wrote:

> There are a great many cards that do memory mapped i/o that don't care
> about the ordering and write combining of the data setup, only that the
> data setup all be done before receiving the "go code".  In these drivers,
> we need only one wmb insn, not one between each and every writel.
> 
> This benefit is marked enough that there is zero chance you can convince

I'm curious to see the numbers.  What sort of driver do you see this
much of an effect in?

For most things, the CPU spends an absolutely insignificant fraction
of its time doing accesses to I/O device registers.  The only
exceptions I can think of would be 3D graphics cards (and possibly
also gigabit ethernet cards, although they should be doing most stuff
by DMA).

Paul.

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]